Subject: bug#3800: [emacs-devel] emacs-23.0.96 make install misbehavior

From: Glenn Morris <[email-masked]>
Date: Sun, 12 Jul 2009 20:31:51 -0400

Chong Yidong wrote:

>> chmod -R a+r \
[...]
> Fair enough.  But the installation process needs to read the contents of
> /usr/local/share/emacs/site-lisp and /usr/local/share/info in order to
> function properly.
>
> How about doing `u+r' instead of `a+r' for those directories?

("u" is probably root when installing)

I imagine it is the "-R" that is the problem. I guess the install
should make sure the directories themselves, and those files we
install in them, are readable, but leave other things under these
directories alone.